#
# Parameters
#
scalex <- 1e-3
scaley <- 1e-3
scalez <- 1e-3

#
# read samplePoints.csv
#
samplePoints <- read.csv("samplePoints.csv") 

#
# scaling
#
no <- samplePoints[,"Point"]
x <- samplePoints[,"x.mm."] * scalex
y <- samplePoints[,"y.mm."] * scaley
z <- samplePoints[,"z.mm."] * scalez

#
# write sampleDict
#
out <- file("sampleDict","w")

#
# write header
#
header <- "FoamFile
{
version 2.0;
format  ascii;
class   dictionary;
object  sampleDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

setFormat raw;

surfaceFormat foamFile;

interpolationScheme cellPointFace;

fields
(
    U
    magU
    k
);

sets
(

    measuringPoints
    {
        type cloud;
        axis xyz;
        points          
        ("

writeLines(header,out,sep="\n")

#
# write sample points
#

writeLines(sprintf("(%g %g %g) // %d",x,y,z,no),out,sep="\n")

# write footer and close outputfile
#
footer <- ");
}
);

surfaces
(
);

// *********************************************************************** //"

writeLines(footer,out,sep="\n")

close(out)
